org.eclipse.oomph.p2

## Interface P2Factory

- All Superinterfaces:
    EFactory, EModelElement, EObject, Notifier
  All Known Implementing Classes:
    P2FactoryImpl

      public interface P2Factory
      extends EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `P2Package`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static P2Factory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProfileDefinition` | `createProfileDefinition()` Returns a new object of class 'Profile Definition'.
    `Repository` | `createRepository()` Returns a new object of class 'Repository'.
    `Repository` | `createRepository(String url)`
    `RepositoryList` | `createRepositoryList()` Returns a new object of class 'Repository List'.
    `Requirement` | `createRequirement()` Returns a new object of class 'Requirement'.
    `Requirement` | `createRequirement(String id)`
    `Requirement` | `createRequirement(String id, VersionRange versionRange)`
    `Requirement` | `createRequirement(String id, VersionRange versionRange, boolean optional)`
    `VersionRange` | `createVersionRange(Version version, VersionSegment segment)`
    `P2Package` | `getP2Package()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final P2Factory eINSTANCE

      The singleton instance of the factory.
      Generated

  - ### Method Detail

    - #### createProfileDefinition

          ProfileDefinition createProfileDefinition()

      Returns a new object of class 'Profile Definition'.
      Returns:
        a new object of class 'Profile Definition'.
      Generated

    - #### createRequirement

          Requirement createRequirement()

      Returns a new object of class 'Requirement'.
      Returns:
        a new object of class 'Requirement'.
      Generated

    - #### createRequirement

          Requirement createRequirement(String id)

    - #### createRequirement

          Requirement createRequirement(String id,
                                      VersionRange versionRange)

    - #### createRequirement

          Requirement createRequirement(String id,
                                      VersionRange versionRange,
                                      boolean optional)

    - #### createRepositoryList

          RepositoryList createRepositoryList()

      Returns a new object of class 'Repository List'.
      Returns:
        a new object of class 'Repository List'.
      Generated

    - #### createRepository

          Repository createRepository()

      Returns a new object of class 'Repository'.
      Returns:
        a new object of class 'Repository'.
      Generated

    - #### createRepository

          Repository createRepository(String url)

    - #### createVersionRange

          VersionRange createVersionRange(Version version,
                                        VersionSegment segment)

    - #### getP2Package

          P2Package getP2Package()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html